Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Interface AggLink

    public interface AggLink

Abstraction of an aggregate link: a link which can carry more than one channel. Notice that all aggregate links are for external use only. There is no need to aggregate links within an FPGA.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Method Summary
`java.lang.String` | `addLink(Instance instance, java.lang.String port)` Try to add the given unit instance port to this aggregate link.
`Module` | `getAggregateModule()` Simple accessor.
`ModuleWireGroup` | `getAggregateWires()` Simple accessor.
`ModuleWireGroup` | `getInternalWires(java.lang.String branch)` Simple accessor.
`ExternalLink` | `getLink(java.lang.String branch)` Simple accessor.

Method Detail

### addLink

    java.lang.String addLink(Instance instance,
                             java.lang.String port)

  Try to add the given unit instance port to this aggregate link.

  Parameters:
    `instance` - The unit instance whose port we want to carry.
    `port` - The name of the port on the unit instance.
  Returns:
    The name of the new branch of the aggregate link.

### getLink

    ExternalLink getLink(java.lang.String branch)

  Simple accessor.

  Parameters:
    `branch` - The aggregate branch we're interested in.
  Returns:
    The actual link object for the given aggregate branch.

### getInternalWires

    ModuleWireGroup getInternalWires(java.lang.String branch)

  Simple accessor.

  Parameters:
    `branch` - The aggregate branch we're interested in.
  Returns:
    The wires on the aggregate module which connect to the given branch

### getAggregateModule

    Module getAggregateModule()

  Simple accessor.

  Returns:
    The module which performs the aggregation.

### getAggregateWires

    ModuleWireGroup getAggregateWires()

  Simple accessor.

  Returns:
    The wires which run from the aggregation module up to the top level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD